Overpass API developpement

Text archives Help


Re: [overpass] Unsupported index file format version for v0.7.53


Chronological Thread 
  • From: mmd <mmd.osm@gmail.com>
  • To: overpass@osm101.openstreetmap.fr
  • Subject: Re: [overpass] Unsupported index file format version for v0.7.53
  • Date: Fri, 21 Oct 2016 18:08:32 +0200

Am 21.10.2016 um 06:47 schrieb Sajjad Anwar:
> Hey everyone,
>
> This works great now. I was able to use 0.7.53 with a DB snapshot
> created by 0.7.52.
>
> One question - does the dev.overpass-api.de/clone
> <http://dev.overpass-api.de/clone> DB support -lz4? Asking if it'd be
> easy when I build Overpass with -lz4 and clone the DB from that server.
>

Hi,

I don't think you can use the clone db on the dev instance along with
lz4 compression, as all the data has been compressed using zlib
compression in the first place.

Currently, I don't really see a working approach to turn a zlib
compressed db into a lz4 compressed one.

If you don't need attic data, I can send you a download link to my
performance test server with a current lz4 db clone.

Anyway, with 0.7.53 + parallel db update + libosmium support, you could
as well set up a db from scratch from a planet pbf file in less than 8
hours on some decent hardware (32GB mem, Enterprise class SSD).

Official 0.7.53 without additional patches is currently in the range of
about 20 hours for lz4, and might also be an option, if you don't want
to try experimental stuff.

cheers,








Archive powered by MHonArc 2.6.18.

Top of page